Bug 534020 - Some questions for SR-IOV in RedHat 5.4
Summary: Some questions for SR-IOV in RedHat 5.4
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Virtualization_Guide
Version: 5.4
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Christopher Curran
QA Contact: Joshua Wulf
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-10 06:40 UTC by peter.chiu
Modified: 2014-10-19 22:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-07 01:41:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description peter.chiu 2009-11-10 06:40:14 UTC
Description of problem:
1.      Why host OS do not use resources that BIOS assign in guest OS
2.      In current situation, why host OS enable SR-IOV do not according to the BIOS enable/disable SR_IOV.
3.    When in guest OS, I used lspci command to dump the configuration space of 82576 VF Ethernet Controller that I assigned to guest OS.
I noticed that the guest OS did not use the MMIO resources that BIOS assigned to 82576 VF Ethernet Controller and the sizes even less than it required.
For example, when I wrote 0xFFFFFFFF to VF BAR0 ~ VF BAR5 in physical 82576 Ethernet Controller, it return 0xc000 size that VF BAR0 and VF BAR3 needed,
But when I came into guest OS and saw 82576 VF Ethernet Controller BAR0 and BAR3 it show 0xc4004000 and 0xc4008000, the size was less than VF BAR need

Version-Release number of selected component (if applicable):
RedHat Enterprise5.4 


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Christopher Curran 2010-03-29 06:30:28 UTC
1. Not sure what you mean here. Disabling SR-IOV VFs so that the VF can be used by the guest is covered in the updated Virtualization Guide.

2. Covered in the Virtualization Guide.

3. The PCI devices names are not necessarily the same. Guests and hows have different naming and assignment methods.


Note You need to log in before you can comment on or make changes to this bug.